Subject: Re: bug#50721: Wrong point position or display while moving point

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Sep 2021 17:25:02 +0300

> From: Cos Chan <[email-masked]>
> Date: Tue, 21 Sep 2021 14:26:44 +0200
> 
> To change system tab width by
> $ tabs 4
> would create a problem that the display is wrong while moving point (for example M-b/M-f/C-up/C-down or
> kill words/line).
> The point or the characters would be in the wrong places until I manually run M-x redraw-display to get it
> back.
> 
> I may reproduce this problem in Debian 10, 11 and FreeBSD 12, 13. Tested in zsh and tcsh by add tabs 4
> into .zshrc and .tcshrc

Thanks.

We initialize the tab width used for display on TTY frames from the
"tw" termcap/terminfo capability.  Does anyone know whether this is
updated by the 'tabs' command?  If not, is there a way Emacs could
know that the tab stops have been changed from their usual default?

If everything else fails, I guess we could provide a variable to
disable using TAB characters in cursor motion on TTYs, then users who
do the above could control how Emacs behaves in this case.